<div class="card">
    <div class="card-header">
        <div class="page-header-title">
            <h4>{{'epdb.admin.glosarry.glosarry_list' | translate}}</h4>
        </div>
    </div>
    <div class="card-block">
        <div class="dt-responsive dt-bootstrap4 row p-20">
            <div class="col-md-12 col-xl-12 form-group text-right">
                <!-- <label class="col-form-label"></label> -->
                <button *ngIf="accesAddBtn" type="button" [routerLink]="['/admin/glossary/glossary-add']" class="btn btn-primary btn-md text-center">
                    <i class="icofont icofont-ui-add"></i> {{'epdb.admin.glosarry.btn_add_term' | translate}}</button>
            </div>
            <div class="col-xs-12 col-sm-12 col-sm-12 col-md-6">
                <div>
                    <label class="label-control">{{'general.show' | translate}}
                        <select class="form-control input-sm full-data-show-entry" [(ngModel)]="rowsOnPage">
                            <option [ngValue]="10">10</option>
                            <option [ngValue]="25">25</option>
                            <option [ngValue]="50">50</option>
                            <option [ngValue]="100">100</option>
                        </select>
                        {{'general.entries' | translate}}
                    </label>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-6">
                <div class="text-right">
                    <label>{{'general.search' | translate}}:
                        <input type="search" [(ngModel)]="filterQuery" class="form-control input-sm full-data-search">
                    </label>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12" style="overflow-x:auto;">
                <table class="table table-striped table-bordered table-responsive full-data-table text-center pull-center" [mfData]="data | dataFilterGlosarry : filterQuery"
                    #mf="mfDataTable" [mfRowsOnPage]="rowsOnPage" [(mfSortBy)]="sortBy" [(mfSortOrder)]="sortOrder">
                    <thead>
                        <tr>
                            <th width="90%" class="text-center">
                                <mfDefaultSorter by="glossary_term">{{'epdb.admin.glosarry.term' | translate}}</mfDefaultSorter>
                            </th>
                            <th width="10%" class="text-center" *ngIf="accesUpdateBtn || accesDeleteBtn">{{'general.action' | translate}}</th>
                        </tr>
                    </thead>
                    <tbody *ngIf="data!=null">
                        <tr *ngFor="let item of mf.data">
                            <td class="text-left">{{item.glossary_term}}</td>
                            <td class="action-icon text-center" *ngIf="accesUpdateBtn || accesDeleteBtn">
                                <!-- <a [routerLink]="['/admin/glossary/glossary-detail',item.glossary_id]" class="m-r-15 text-muted f-18" ngbTooltip="{{'general.tool_tip_view' | translate}}"><i class="icofont icofont-eye-alt"></i></a> -->
                                <a *ngIf="accesUpdateBtn" [routerLink]="['/admin/glossary/glossary-update',item.glossary_id]" class="m-r-15 text-muted f-18" ngbTooltip="{{'general.tool_tip_edit' | translate}}">
                                    <i class="icofont icofont-ui-edit"></i>
                                </a>
                                <a *ngIf="accesDeleteBtn" (click)="openConfirmsSwal(item.glossary_id)" class="text-muted f-18" ngbTooltip="{{'general.tool_tip_delete' | translate}}">
                                    <i class="icofont icofont-delete-alt" style="cursor: pointer"></i>
                                </a>
                            </td>
                        </tr>
                    </tbody>
                    <tfoot>
                        <tr *ngIf="data!=null">
                            <td colspan="4">
                                <mfBootstrapPaginator class="pagination-main f-right"></mfBootstrapPaginator>
                            </td>
                        </tr>
                        <tr *ngIf="data==null">
                            <td colspan="4" class="text-center">{{'general.loading_data' | translate}}</td>
                        </tr>
                        <tr *ngIf="data==''">
                            <td colspan="4" class="text-center">{{'general.data_empty' | translate}}</td>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
</div>

<!-- modal view detail -->
<!-- <app-modal-basic #viewdetailmodal [dialogClass]="'modal-lg'">
    <div class="app-modal-header">
        <h4 class="modal-title">{{'epdb.admin.glosarry.detail_term' | translate}}</h4>
        <button type="button" class="close basic-close" (click)="viewdetailmodal.hide()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="app-modal-body">
        <div class="col-md-12 col-xl-12 form-group row" *ngIf="datadetail==''">
            <div class="col-md-12 col-xl-12 text-center">
                <label class="col-form-label">{{'general.data-empty' | translate}}</label>
            </div>
        </div>
        <div class="col-md-12 col-xl-12 form-group row" *ngIf="datadetail==null">
            <div class="col-md-12 col-xl-12 text-center">
                <label class="col-form-label">{{'general.loading-data' | translate}}</label>
            </div>
        </div>
        <div class="col-md-12 col-xl-12 form-group row" *ngIf="datadetail!=null">
            <div class="col-md-4 col-xl-4 text-left">
                <label class="col-form-label">{{'epdb.admin.glosarry.term_id' | translate}}</label>
            </div>
            <div class="col-md-8 col-xl-8 text-left">
                <label class="col-form-label">{{datadetail.glossary_id}}</label>
            </div>
            <div class="col-md-4 col-xl-4 text-left">
                <label class="col-form-label">{{'general.date_added' | translate}}</label>
            </div>
            <div class="col-md-8 col-xl-8 text-left">
                <label class="col-form-label">{{datadetail.cdate.toString().substr(0,10)}}</label>
            </div>
            <div class="col-md-4 col-xl-4 text-left">
                <label class="col-form-label">{{'general.admin_added' | translate}}</label>
            </div>
            <div class="col-md-8 col-xl-8 text-left">
                <label class="col-form-label">{{datadetail.cuid}}</label>
            </div>
            <div class="col-md-4 col-xl-4 text-left">
                <label class="col-form-label">{{'epdb.admin.glosarry.term_name' | translate}}</label>
            </div>
            <div class="col-md-8 col-xl-8 text-left">
                <label class="col-form-label">{{datadetail.glossary_term}}</label>
            </div>
            <div class="col-md-4 col-xl-4 text-left">
                <label class="col-form-label">{{'general.description' | translate}}</label>
            </div>
            <div class="col-md-8 col-xl-8 text-left">
                <label class="col-form-label">{{datadetail.description}}</label>
            </div>
        </div>
    </div>
</app-modal-basic> -->
<!-- end modal view detail -->